Commit ab5af2ee authored by Andrea Valassi's avatar Andrea Valassi
Browse files

Fix compare_env.sh and cc-run/cc-sh scripts as in CORAL.

Still a few differences in the env comparisons?


git-svn-id: file:///git/lcgcool.svndb/cool/trunk@19870 4525493e-7705-40b1-a816-d608a930855b
parent d15d57d6
......@@ -48,7 +48,12 @@ env -i PATH=`env -i bash --norc --noprofile -c 'echo $PATH'` USER=$USER ${blddir
# Read runtime environments from files and compare them
files="envCMT envCMake.${xenv}"
envs=`cat $files | awk '{split($0,a,"="); print a[1]}' | sort -u`
envs=`cat $files | awk '{nf=split($0,a,"="); if (nf<2){print "ERROR! No \"=\" found in \""$0"\"" > "/dev/stderr"; exit 1}; if(index(a[1]," ")>0){print "ERROR! Blank space found in \""a[1]"\"" > "/dev/stderr"; exit 1}; print a[1]}'`
if [ "$?" != "0" ]; then
echo "ERROR! Unexpected input in $files"
exit 1
fi
envs=`echo $envs | tr " " "\n" | sort -u`
envs_skip="_ AFS ATLAS_TAGS_MAP CCACHE_DIR CLASSPATH CMAKEFLAGS CMAKE_PREFIX_PATH CMTBIN CMTPATH CMTPROJECTPATH CMTROOT CMTVERS COMPILER_PATH host_cmtconfig NEWCMTCONFIG OLDPWD SHLVL SITEROOT USER"
if ! contains "$envs" "COOLSYS"; then
envs_skip="$envs_skip ROOT_INCLUDE_PATH"
......
......@@ -19,7 +19,9 @@ OK
=== Compare COOL_QMTEST_TARGET
OK
=== Compare COOLSYS
OK
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg
/home/avalassi/COOL/trunk/build.x86_64-slc6-gcc48-dbg/TMP.install
=== Compare CORAL_SQLITE_TEMP_STORE_MEMORY
OK
=== Compare CORALSYS
......@@ -73,12 +75,12 @@ OK
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/CppUnit/1.12.1_p1/x86_64-slc6-gcc48-dbg/lib
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/Boost/1.59.0_python2.7/x86_64-slc6-gcc48-dbg/lib
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/qt/4.8.4/x86_64-slc6-gcc48-dbg/lib
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/lib
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/examples/lib
---
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/CORAL/3_1_1/x86_64-slc6-gcc48-dbg/lib
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/gcc/4.8.4/x86_64-slc6/lib64
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/xrootd/4.2.3/x86_64-slc6-gcc48-dbg/lib64
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/examples/lib
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/lib
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/tests/lib
+ /home/avalassi/CORAL/trunk/x86_64-slc6-gcc48-dbg/lib
=== Compare MANPATH
......@@ -163,9 +165,6 @@ OK
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/ROOT/6.04.10/x86_64-slc6-gcc48-dbg/bin
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/Python/2.7.10/x86_64-slc6-gcc48-dbg/bin
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/qt/4.8.4/x86_64-slc6-gcc48-dbg/bin
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/bin
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/tests/bin
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/examples/bin
/cvmfs/lhcb.cern.ch/lib/lhcb/LBSCRIPTS/prod/InstallArea/scripts
/cvmfs/sft.cern.ch/lcg/contrib/CMake/3.2.3/Linux-x86_64/bin
/cvmfs/sft.cern.ch/lcg/contrib/ninja/1.4.0/x86_64-slc6
......@@ -182,6 +181,9 @@ OK
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/gcc/4.8.4/x86_64-slc6/bin
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/gccxml/0.9.0_20131026/x86_64-slc6-gcc48-dbg/bin
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/xrootd/4.2.3/x86_64-slc6-gcc48-dbg/bin
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/bin
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/examples/bin
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/tests/bin
+ /home/avalassi/CORAL/trunk/x86_64-slc6-gcc48-dbg/bin
=== Compare PWD
OK
......@@ -197,11 +199,11 @@ OK
/home/avalassi/CORAL/trunk/x86_64-slc6-gcc48-dbg/lib
/home/avalassi/CORAL/trunk/x86_64-slc6-gcc48-dbg/python
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/ROOT/6.04.10/x86_64-slc6-gcc48-dbg/lib
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/python
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/lib
---
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/CORAL/3_1_1/x86_64-slc6-gcc48-dbg/lib
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/CORAL/3_1_1/x86_64-slc6-gcc48-dbg/python
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/lib
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/python
+ /home/avalassi/CORAL/trunk/x86_64-slc6-gcc48-dbg/lib
+ /home/avalassi/CORAL/trunk/x86_64-slc6-gcc48-dbg/python
=== Compare QM_home
......@@ -209,7 +211,7 @@ OK
=== Compare QMTEST_CLASS_PATH
/home/avalassi/COOL/trunk/src/CoolTest/qmtest
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/CoolTest/qmtest
[empty]
=== Compare QTDIR
OK
=== Compare ROOT_INCLUDE_PATH
......@@ -241,11 +243,11 @@ OK
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/Python/2.7.10/x86_64-slc6-gcc48-dbg/include/python2.7
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/CppUnit/1.12.1_p1/x86_64-slc6-gcc48-dbg/include
/cvmfs/sft.cern.ch/lcg/releases/LCG_82/Boost/1.59.0_python2.7/x86_64-slc6-gcc48-dbg/include/boost-1_59
/home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/include
---
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/CORAL/3_1_1/x86_64-slc6-gcc48-dbg/include
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/qt/4.8.4/x86_64-slc6-gcc48-dbg/include
- /cvmfs/sft.cern.ch/lcg/releases/LCG_82/xrootd/4.2.3/x86_64-slc6-gcc48-dbg/include
- /home/avalassi/COOL/trunk/x86_64-slc6-gcc48-dbg/include
+ /home/avalassi/CORAL/trunk/x86_64-slc6-gcc48-dbg/include
=== Compare ROOTSYS
OK
......
......@@ -42,7 +42,6 @@ if [ "$projsysnew" != "$projsysold" ]; then # project was relocated
lcgrelold=`more $envxml | grep variable=\"LCG_releases_base\" | tr "<" " " | tr ">" " " | awk '{print $3}'`
###echo lcgrelold_lcgcmake is $lcgrelold_lcgcmake
###echo lcgrelold is $lcgrelold
more $envxml | grep variable=\"LCG_releases_base\"
if [ "$lcgrelold" == "$lcgrelold_lcgcmake" ]; then # lcgcmake dir structure
lcgrelnew_lcgcmake=`dirname $projsysnew`
lcgrelnew_lcgcmake=`dirname $lcgrelnew_lcgcmake`
......
......@@ -41,7 +41,6 @@ if [ "$projsysnew" != "$projsysold" ]; then # project was relocated
lcgrelold=`more $envxml | grep variable=\"LCG_releases_base\" | tr "<" " " | tr ">" " " | awk '{print $3}'`
###echo lcgrelold_lcgcmake is $lcgrelold_lcgcmake
###echo lcgrelold is $lcgrelold
more $envxml | grep variable=\"LCG_releases_base\"
if [ "$lcgrelold" == "$lcgrelold_lcgcmake" ]; then # lcgcmake dir structure
lcgrelnew_lcgcmake=`dirname $projsysnew`
lcgrelnew_lcgcmake=`dirname $lcgrelnew_lcgcmake`
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment